package com.almworks.jira.structure.scheduledsync;

import net.java.ao.*;
import net.java.ao.schema.*;

@Preload
@Table(ScheduledSyncAO.TABLE)
public interface ScheduledSyncAO extends RawEntity<Long> {
  String TABLE = "SCHEDULED_SYNC";
  String SYNC_ID = "C_SYNC_ID";
  String PERIOD = "C_PERIOD";
  String LAST_RESYNC_PROCESS_ID = "C_LAST_RESYNC_PID";

  @NotNull
  @PrimaryKey(SYNC_ID)
  long getSyncId();

  @NotNull
  @Accessor(PERIOD)
  long getPeriod();

  @Mutator(PERIOD)
  void setPeriod(long period);

  @Accessor(LAST_RESYNC_PROCESS_ID)
  @NotNull
  long getLastResyncProcessId();

  @Mutator(LAST_RESYNC_PROCESS_ID)
  void setLastResyncProcessId(long processId);
}
